Retry a failed enforcement job

POST/enforcement/jobs/{jobID}/retry

Re-runs a sandbox enforcement simulation for only the fixtures that previously reported failure, and returns the new job.

Auth:Bearer

Path parameters

jobID

uuidrequired

Response

id

Unique identifier for this resource.

uuid
child_id

Identifier of the child this resource belongs to.

uuid
policy_id

Identifier of the policy this resource belongs to.

uuid
trigger_type

What initiated the job (e.g. `manual`, `scheduled`, `policy_change`).

manual | auto | webhook
status

Current lifecycle state of the resource.

pending | running | completed | failed | partial
started_at

RFC 3339 timestamp of when the job started running.

datetime
completed_at

RFC 3339 timestamp of when the job finished.

datetime
created_at

RFC 3339 timestamp of when the resource was created.

datetime
Request
bash
curl -sS -X POST "https://phosra-api-sandbox-production.up.railway.app/api/v1/enforcement/jobs/9b2f4a1e-5c3d-4e2a-8f1b-2c963f66afa6/retry" \
  -H "Authorization: Bearer $PHOSRA_API_KEY"
Response
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "child_id": "550e8400-e29b-41d4-a716-446655440000",
  "policy_id": "550e8400-e29b-41d4-a716-446655440000",
  "trigger_type": "manual",
  "status": "pending",
  "started_at": null,
  "completed_at": null,
  "created_at": "2025-01-15T09:30:00Z"
}